using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;
using System.Data.OleDb;

namespace baoge.Admin
{
	/// <summary>
	/// Admin_EditGonGao 的摘要说明。
	/// </summary>
	public class Admin_EditGonGao : System.Web.UI.Page
	{
		protected System.Web.UI.WebControls.Label Label1;
		protected System.Web.UI.WebControls.TextBox Title;
		protected System.Web.UI.WebControls.Button Submit;
		protected System.Web.UI.WebControls.TextBox zuozhe;
		protected System.Web.UI.WebControls.TextBox Addtime;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator1;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator2;
		protected System.Web.UI.WebControls.RequiredFieldValidator RequiredFieldValidator3;
		protected System.Web.UI.WebControls.CompareValidator CompareValidator1;
		protected CuteEditor.Editor Editor1;
	public int CID;
		private void Page_Load(object sender, System.EventArgs e)
		{
			// 在此处放置用户代码以初始化页面
//			if(Session["AdminName"]==null)
//			{
//			Response.Redirect("Admin_Login.aspx");
//			}
			if(!IsPostBack)
			{
				CDataBind();
			}
		}



		private void CDataBind()
		{
			int CID=Convert.ToInt32(Request.QueryString["ID"].Trim());
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//数据库操作
			try
			{
				ACconn.Open();
				//取得所需操作的记录ID

				//定义SQL语句
				string ACsql="select ID,Title,GonGao,zuozhe,Addtime from GonGao where ID="+CID;
				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				//通过执行Command实例化DataReader类
				OleDbDataReader ACdr=ACcomm.ExecuteReader();
				if(ACdr.Read())
				{
					Title.Text=ACdr["Title"].ToString();
					this.Editor1.Text=ACdr["GonGao"].ToString();
					this.zuozhe.Text=ACdr["zuozhe"].ToString();
					this.Addtime.Text=ACdr["Addtime"].ToString().Substring(0,8);
//					this.Addtime.Text=ACdr["Addtime"].ToString("yyyy-MM-dd");
					ACdr.Close();

				}
				else
				{
					Response.Write("对不起，请先填加公告");
				}
			
			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();

			}
		}



		#region Web 窗体设计器生成的代码
		override protected void OnInit(EventArgs e)
		{
			//
			// CODEGEN: 该调用是 ASP.NET Web 窗体设计器所必需的。
			//
			InitializeComponent();
			base.OnInit(e);
		}
		
		/// <summary>
		/// 设计器支持所需的方法 - 不要使用代码编辑器修改
		/// 此方法的内容。
		/// </summary>
		private void InitializeComponent()
		{    
			this.Submit.Click += new System.EventHandler(this.Submit_Click);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void Submit_Click(object sender, System.EventArgs e)
		{
			
			
			
			//取得数据库路径
			string dbPath=System.Configuration.ConfigurationSettings.AppSettings["dbPath"];
			//定义连接字符串
			string ACconnStr="Provider=Microsoft.Jet.OleDb.4.0;Data Source="+Server.MapPath(dbPath);
			//创建数据库连接对像
			OleDbConnection ACconn=new OleDbConnection(ACconnStr);
			//操作数据库
			try
			{
			
				int CID=Convert.ToInt32(Request.QueryString["ID"].Trim());
				ACconn.Open();
				//定义所需SQL
				string ACsql="Update  GonGao set Title='"+Title.Text+"',GonGao='"+this.Editor1.Text+"',zuozhe='"+zuozhe.Text+"',Addtime='"+Addtime.Text+"' where ID="+CID;

				//创建Command对像
				OleDbCommand ACcomm=new OleDbCommand(ACsql,ACconn);
				ACcomm.ExecuteNonQuery();
				Response.Write("<script>alert('公告成功更新');</script>");


			}
			catch(Exception ex)
			{
				Response.Write(ex.ToString());
			}
			finally
			{
				ACconn.Close();
			}
		
		}
	}
}

	
